> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shortcut Guidance Classes



## OpenAPI

````yaml /api-reference/openapi.json get /api/datasets/{dataset_id}/shortcut-guidance/classes
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/shortcut-guidance/classes:
    get:
      tags:
        - api
        - datasets
      summary: Get Shortcut Guidance Classes
      operationId: >-
        get_shortcut_guidance_classes_api_datasets__dataset_id__shortcut_guidance_classes_get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShortcutGuidanceClassesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ShortcutGuidanceClassesResponse:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        classes:
          items:
            $ref: '#/components/schemas/ShortcutGuidanceClassItem'
          type: array
          title: Classes
      type: object
      required:
        - dataset_id
      title: ShortcutGuidanceClassesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ShortcutGuidanceClassItem:
      properties:
        class_name:
          type: string
          title: Class Name
        exemplar:
          anyOf:
            - $ref: '#/components/schemas/ShortcutGuidanceSampleOption'
            - type: 'null'
        sample_options:
          items:
            $ref: '#/components/schemas/ShortcutGuidanceSampleOption'
          type: array
          title: Sample Options
        annotation:
          anyOf:
            - $ref: '#/components/schemas/ShortcutGuidanceAnnotationRead'
            - type: 'null'
      type: object
      required:
        - class_name
      title: ShortcutGuidanceClassItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ShortcutGuidanceSampleOption:
      properties:
        path:
          type: string
          title: Path
        name:
          type: string
          title: Name
        preview_url:
          type: string
          title: Preview Url
      type: object
      required:
        - path
        - name
        - preview_url
      title: ShortcutGuidanceSampleOption
    ShortcutGuidanceAnnotationRead:
      properties:
        id:
          type: string
          title: Id
        class_name:
          type: string
          title: Class Name
        exemplar_path:
          type: string
          title: Exemplar Path
        mask_url:
          type: string
          title: Mask Url
        bbox:
          anyOf:
            - type: object
            - type: 'null'
          title: Bbox
        strokes:
          title: Strokes
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By
      type: object
      required:
        - id
        - class_name
        - exemplar_path
        - mask_url
      title: ShortcutGuidanceAnnotationRead
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````